Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Admin/Index.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Admin/Index.aspx	(revision 6310)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Admin/Index.aspx	(revision 6317)
@@ -2,14 +2,11 @@
 
 <asp:Content ID="Content3" runat="server" ContentPlaceHolderID="SubMenuContent">
-   <% Html.RenderAction("Menu"); %>
+  <% Html.RenderAction("Menu"); %>
 </asp:Content>
-
 <asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
-	Index
+  Index
 </asp:Content>
-
 <asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
-
-    <h2>Index</h2>
-
+  <h2>
+    Index</h2>
 </asp:Content>
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Admin/Menu.ascx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Admin/Menu.ascx	(revision 6310)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Admin/Menu.ascx	(revision 6317)
@@ -1,19 +1,18 @@
 ﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl" %>
-
 <ul>
-<li <% if(Session["SelectedSubMenu"] == "Platform") {%> class="selected" <%}%>>
+  <li <% if(Session["SelectedSubMenu"] == "Platform") {%> class="selected" <%}%>>
     <%: Html.ActionLink("Platform", "Index", "Platform")%>
-</li>
-<li <% if(Session["SelectedSubMenu"] == "AlgorithmClass") {%> class="selected" <%}%>>
+  </li>
+  <li <% if(Session["SelectedSubMenu"] == "AlgorithmClass") {%> class="selected" <%}%>>
     <%: Html.ActionLink("AlgorithmClass", "Index", "AlgorithmClass")%>
-</li>
-<li <% if(Session["SelectedSubMenu"] == "Algorithm") {%> class="selected" <%}%>>
+  </li>
+  <li <% if(Session["SelectedSubMenu"] == "Algorithm") {%> class="selected" <%}%>>
     <%: Html.ActionLink("Algorithm", "Index", "Algorithm")%>
-</li>
-<li <% if(Session["SelectedSubMenu"] == "ProblemClass") {%> class="selected" <%}%>>
+  </li>
+  <li <% if(Session["SelectedSubMenu"] == "ProblemClass") {%> class="selected" <%}%>>
     <%: Html.ActionLink("ProblemClass", "Index", "ProblemClass")%>
-</li>
-<li <% if(Session["SelectedSubMenu"] == "Problem") {%> class="selected" <%}%>>
+  </li>
+  <li <% if(Session["SelectedSubMenu"] == "Problem") {%> class="selected" <%}%>>
     <%: Html.ActionLink("Problem", "Index", "Problem") %>
-</li>
+  </li>
 </ul>
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Algorithm/Detail.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Algorithm/Detail.aspx	(revision 6310)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Algorithm/Detail.aspx	(revision 6317)
@@ -4,131 +4,127 @@
 <%@ Import Namespace="HLWebOKBAdminPlugin.OKBAdministrationService" %>
 <asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
-    Detail
+  Detail
 </asp:Content>
 <asp:Content ID="Content3" runat="server" ContentPlaceHolderID="SubMenuContent">
-   <% Html.RenderAction("Menu", "Admin"); %>
+  <% Html.RenderAction("Menu", "Admin"); %>
 </asp:Content>
 <asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
-    <% using(Html.BeginForm("SaveChanges", "Algorithm")) %>
-    <% { %>
-    <h2>
-        Detail</h2>
-    <%
+  <% using (Html.BeginForm("SaveChanges", "Algorithm")) %>
+  <% { %>
+  <h2>
+    Detail</h2>
+  <%
      
-        // The Model will be filled via the Controller
-        // Maybe we can use here the Problem instead
-        // of the ProblemModel. But this must be changed
-        // in the Controller too!
+    // The Model will be filled via the Controller
+    // Maybe we can use here the Problem instead
+    // of the ProblemModel. But this must be changed
+    // in the Controller too!
 
-        Algorithm p = ((AlgorithmModel)Model).Algorithm;
-    %>
-
-            <div class="hl-menuButtons">                 
-        <%: Html.ActionLink("Back to Index", "Index", null, new { @class = "hl-button-text-back" })%>
-        </div>
-
-    <table class="hl-table">
-        <tr>
-            <th>
-                Id:
-            </th>
-            <td>
-                <%: Html.Label(p.Id.ToString())%>
-            </td>
-            <%: Html.Hidden("AlgorithmId", p.Id.ToString(), p.Id.ToString())%>
-        </tr>
-        <tr>
-            <th>
-                Name:
-            </th>
-            <td>
-                <%: Html.TextBox("AlgorithmName", p.Name, p.Name)%>
-            </td>
-        </tr>
-        <tr>
-            <th>
-                Description:
-            </th>
-            <td>
-                <%: Html.TextBox("AlgorithmDescription", p.Description, p.Description)%>
-            </td>
-        </tr>
-        <tr>
-            <th>
-                DataTypeName:
-            </th>
-            <td>
-                <%: Html.TextBox("AlgorithmDataTypeName", p.DataTypeName, p.DataTypeName)%>
-            </td>
-        </tr>
-        <tr>
-            <th>
-                Algorith Class:
-            </th>
-            <td>
-                <select name="AlgorithmClassId">
-                    <% foreach(AlgorithmClass pc in ((AlgorithmModel)Model).AlgorithmClasses) {  %>
-                        <% if(p.AlgorithmClassId == pc.Id) { %>
-                            <option selected="selected" value="<%=pc.Id%>"><%=pc.Name%></option>
-                        <% } else { %>
-                            <option value="<%=pc.Id%>"><%=pc.Name%></option>
-                        <% } %>
-                    <% } %>
-                </select>
-            </td>
-        </tr>
-        <tr>
-            <th>
-                Platform:
-            </th>
-            <td>
-                <select name="PlatformId">
-                    <% foreach(Platform pc in ((AlgorithmModel)Model).Platforms) {  %>
-                        <% if(p.PlatformId == pc.Id) { %>
-                            <option selected="selected" value="<%=pc.Id%>"><%=pc.Name%></option>
-                        <% } else { %>
-                            <option value="<%=pc.Id%>"><%=pc.Name%></option>
-                        <% } %>
-                    <% } %>
-                </select>
-            </td>
-        </tr>
-        <tr>
-            <th>
-                Action:
-            </th>
-            <td>
-                <input type="submit" value="save" />
-            </td>
-        </tr>
-    </table>    
-    
-    <% } %>
-
-    <% using (Html.BeginForm("UploadFile", "Algorithm", FormMethod.Post, new { enctype = "multipart/form-data" }))
-    {%><br />
-        <% Algorithm p = ((AlgorithmModel)Model).Algorithm; %>        
-        <table class="hl-table">
-            <tr>
-                <th>
-                    File:
-                </th>
-                <td>
-                    <%: Html.Hidden("AlgorithmId", p.Id.ToString(), p.Id.ToString())%>
-                    <input type="file" name="files" id="file2" size="25" /> 
-                </td>
-            </tr>
-            <tr>
-                <th>
-                    Action:
-                </th>
-                <td>
-                    <input type="submit" value="Upload file" />
-                </td>
-            </tr>
-        </table> 
-
-        <% } %> 
-        
-
+    Algorithm p = ((AlgorithmModel)Model).Algorithm;
+  %>
+  <div class="hl-menuButtons">
+    <%: Html.ActionLink("Back to Index", "Index", null, new { @class = "hl-button-text-back" })%>
+  </div>
+  <table class="hl-table">
+    <tr>
+      <th>
+        Id:
+      </th>
+      <td>
+        <%: Html.Label(p.Id.ToString())%>
+      </td>
+      <%: Html.Hidden("AlgorithmId", p.Id.ToString(), p.Id.ToString())%>
+    </tr>
+    <tr>
+      <th>
+        Name:
+      </th>
+      <td>
+        <%: Html.TextBox("AlgorithmName", p.Name, p.Name)%>
+      </td>
+    </tr>
+    <tr>
+      <th>
+        Description:
+      </th>
+      <td>
+        <%: Html.TextBox("AlgorithmDescription", p.Description, p.Description)%>
+      </td>
+    </tr>
+    <tr>
+      <th>
+        DataTypeName:
+      </th>
+      <td>
+        <%: Html.TextBox("AlgorithmDataTypeName", p.DataTypeName, p.DataTypeName)%>
+      </td>
+    </tr>
+    <tr>
+      <th>
+        Algorith Class:
+      </th>
+      <td>
+        <select name="AlgorithmClassId">
+          <% foreach (AlgorithmClass pc in ((AlgorithmModel)Model).AlgorithmClasses) {  %>
+          <% if (p.AlgorithmClassId == pc.Id) { %>
+          <option selected="selected" value="<%=pc.Id%>">
+            <%=pc.Name%></option>
+          <% } else { %>
+          <option value="<%=pc.Id%>">
+            <%=pc.Name%></option>
+          <% } %>
+          <% } %>
+        </select>
+      </td>
+    </tr>
+    <tr>
+      <th>
+        Platform:
+      </th>
+      <td>
+        <select name="PlatformId">
+          <% foreach (Platform pc in ((AlgorithmModel)Model).Platforms) {  %>
+          <% if (p.PlatformId == pc.Id) { %>
+          <option selected="selected" value="<%=pc.Id%>">
+            <%=pc.Name%></option>
+          <% } else { %>
+          <option value="<%=pc.Id%>">
+            <%=pc.Name%></option>
+          <% } %>
+          <% } %>
+        </select>
+      </td>
+    </tr>
+    <tr>
+      <th>
+        Action:
+      </th>
+      <td>
+        <input type="submit" value="save" />
+      </td>
+    </tr>
+  </table>
+  <% } %>
+  <% using (Html.BeginForm("UploadFile", "Algorithm", FormMethod.Post, new { enctype = "multipart/form-data" })) {%><br />
+  <% Algorithm p = ((AlgorithmModel)Model).Algorithm; %>
+  <table class="hl-table">
+    <tr>
+      <th>
+        File:
+      </th>
+      <td>
+        <%: Html.Hidden("AlgorithmId", p.Id.ToString(), p.Id.ToString())%>
+        <input type="file" name="files" id="file2" size="25" />
+      </td>
+    </tr>
+    <tr>
+      <th>
+        Action:
+      </th>
+      <td>
+        <input type="submit" value="Upload file" />
+      </td>
+    </tr>
+  </table>
+  <% } %>
 </asp:Content>
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Algorithm/Index.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Algorithm/Index.aspx	(revision 6310)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Algorithm/Index.aspx	(revision 6317)
@@ -14,13 +14,21 @@
   <%  long? id = null;  %>
   <div class="hl-menuButtons">
-  <%: Html.ActionLink("New Algorithm", "Detail", new { id }, new { @class = "hl-button-text-plus" })%>
+    <%: Html.ActionLink("New Algorithm", "Detail", new { id }, new { @class = "hl-button-text-plus" })%>
   </div>
   <table class="hl-dataTable">
     <thead>
       <tr>
-        <th>Name</th>
-        <th>Description</th>
-        <th>Type</th>
-        <th>Actions</th>
+        <th>
+          Name
+        </th>
+        <th>
+          Description
+        </th>
+        <th>
+          Type
+        </th>
+        <th>
+          Actions
+        </th>
       </tr>
     </thead>
@@ -38,8 +46,8 @@
           <%: p.DataTypeName %>
         </td>
-                <td class="hl-iconcell">
-                    <%: Html.ActionLink("detail", "Detail", new { p.Id }, new { @class = "hl-icon-edit" })%>
-                    <%: Html.ActionLink("delete", "Delete", new { p.Id }, new { @class = "hl-icon-delete" })%>
-                </td>
+        <td class="hl-iconcell">
+          <%: Html.ActionLink("detail", "Detail", new { p.Id }, new { @class = "hl-icon-edit" })%>
+          <%: Html.ActionLink("delete", "Delete", new { p.Id }, new { @class = "hl-icon-delete" })%>
+        </td>
       </tr>
       <% } %>
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/AlgorithmClass/Detail.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/AlgorithmClass/Detail.aspx	(revision 6310)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/AlgorithmClass/Detail.aspx	(revision 6317)
@@ -4,53 +4,53 @@
 <%@ Import Namespace="HLWebOKBAdminPlugin.OKBAdministrationService" %>
 <asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
-    Detail
+  Detail
 </asp:Content>
 <asp:Content ID="Content3" runat="server" ContentPlaceHolderID="SubMenuContent">
-   <% Html.RenderAction("Menu", "Admin"); %>
+  <% Html.RenderAction("Menu", "Admin"); %>
 </asp:Content>
 <asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
-    <% using (Html.BeginForm("SaveChanges", "AlgorithmClass")) %>
-    <% { %>
-    <h2>Detail</h2>
-            <div class="hl-menuButtons">                 
-        <%: Html.ActionLink("Back to Index", "Index", null, new { @class = "hl-button-text-back" })%>
-        </div>
-    <% AlgorithmClass ac = ((AlgorithmClassModel)Model).AlgorithmClass; %>
-    <table class="hl-table">
-        <tr>
-            <th>
-                Id:
-            </th>
-            <td>
-                <%: Html.Label(ac.Id.ToString())%>
-            </td>
-            <%: Html.Hidden("AlgorithmClassId", ac.Id.ToString(), ac.Id.ToString())%>
-        </tr>
-        <tr>
-            <th>
-                Name:
-            </th>
-            <td>
-                <%: Html.TextBox("AlgorithmClassName", ac.Name, ac.Name)%>
-            </td>
-        </tr>
-        <tr>
-            <th>
-                Description:
-            </th>
-            <td>
-                <%: Html.TextBox("AlgorithmClassDescription", ac.Description, ac.Description)%>
-            </td>
-        </tr>
-        <tr>
-            <th>
-                Action:
-            </th>
-            <td>
-                <input type="submit" value="save" />
-            </td>
-        </tr>
-    </table> 
-   
-    <% } %>
+  <% using (Html.BeginForm("SaveChanges", "AlgorithmClass")) %>
+  <% { %>
+  <h2>
+    Detail</h2>
+  <div class="hl-menuButtons">
+    <%: Html.ActionLink("Back to Index", "Index", null, new { @class = "hl-button-text-back" })%>
+  </div>
+  <% AlgorithmClass ac = ((AlgorithmClassModel)Model).AlgorithmClass; %>
+  <table class="hl-table">
+    <tr>
+      <th>
+        Id:
+      </th>
+      <td>
+        <%: Html.Label(ac.Id.ToString())%>
+      </td>
+      <%: Html.Hidden("AlgorithmClassId", ac.Id.ToString(), ac.Id.ToString())%>
+    </tr>
+    <tr>
+      <th>
+        Name:
+      </th>
+      <td>
+        <%: Html.TextBox("AlgorithmClassName", ac.Name, ac.Name)%>
+      </td>
+    </tr>
+    <tr>
+      <th>
+        Description:
+      </th>
+      <td>
+        <%: Html.TextBox("AlgorithmClassDescription", ac.Description, ac.Description)%>
+      </td>
+    </tr>
+    <tr>
+      <th>
+        Action:
+      </th>
+      <td>
+        <input type="submit" value="save" />
+      </td>
+    </tr>
+  </table>
+  <% } %>
 </asp:Content>
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/AlgorithmClass/Index.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/AlgorithmClass/Index.aspx	(revision 6310)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/AlgorithmClass/Index.aspx	(revision 6317)
@@ -3,47 +3,48 @@
 <%@ Import Namespace="HLWebOKBAdminPlugin.Models" %>
 <%@ Import Namespace="HLWebOKBAdminPlugin.OKBAdministrationService" %>
-
 <asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
-    Index
+  Index
 </asp:Content>
 <asp:Content ID="Content3" runat="server" ContentPlaceHolderID="SubMenuContent">
-   <% Html.RenderAction("Menu", "Admin"); %>
+  <% Html.RenderAction("Menu", "Admin"); %>
 </asp:Content>
 <asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
-
-    <h2>AlgorithmClass</h2>
-
-<%  long? id = null;  %>
-<div class="hl-menuButtons">
+  <h2>
+    AlgorithmClass</h2>
+  <%  long? id = null;  %>
+  <div class="hl-menuButtons">
     <%: Html.ActionLink("New AlgorithmClass", "Detail", new { id }, new { @class = "hl-button-text-plus" })%>
-</div>
-
-
-        <table class="hl-dataTable">
-        <thead>
-        <tr>
-        <th>Name</th>
-        <th>Description</th>
-        <th>Actions</th>
-        </tr>
-        </thead>
-        <tbody>
-            <!--// We get this from the Controller (Index)-->
-            <% foreach (AlgorithmClass p in ((AlgorithmClassModel)Model).AlgorithmClasses) {  %>
-            <tr>
-                <td>
-                    <%: p.Name %>
-                </td>
-                <td>
-                    <%: p.Description %>
-                </td>
-                <td class="hl-iconcell">
-                    <%: Html.ActionLink("detail", "Detail", new { p.Id }, new { @class = "hl-icon-edit" })%>
-                    <%: Html.ActionLink("delete", "Delete", new { p.Id }, new { @class = "hl-icon-delete" })%>
-                </td>
-            </tr>
-            <% } %>
-            </tbody>
-        </table>
-  
+  </div>
+  <table class="hl-dataTable">
+    <thead>
+      <tr>
+        <th>
+          Name
+        </th>
+        <th>
+          Description
+        </th>
+        <th>
+          Actions
+        </th>
+      </tr>
+    </thead>
+    <tbody>
+      <!--// We get this from the Controller (Index)-->
+      <% foreach (AlgorithmClass p in ((AlgorithmClassModel)Model).AlgorithmClasses) {  %>
+      <tr>
+        <td>
+          <%: p.Name %>
+        </td>
+        <td>
+          <%: p.Description %>
+        </td>
+        <td class="hl-iconcell">
+          <%: Html.ActionLink("detail", "Detail", new { p.Id }, new { @class = "hl-icon-edit" })%>
+          <%: Html.ActionLink("delete", "Delete", new { p.Id }, new { @class = "hl-icon-delete" })%>
+        </td>
+      </tr>
+      <% } %>
+    </tbody>
+  </table>
 </asp:Content>
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Home/About.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Home/About.aspx	(revision 6310)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Home/About.aspx	(revision 6317)
@@ -2,11 +2,11 @@
 
 <asp:Content ID="aboutTitle" ContentPlaceHolderID="TitleContent" runat="server">
-	About
+  About
 </asp:Content>
-
 <asp:Content ID="aboutContent" ContentPlaceHolderID="MainContent" runat="server">
-<h2>About</h2>
-    <p>
-        Put content here.
-    </p>
+  <h2>
+    About</h2>
+  <p>
+    Put content here.
+  </p>
 </asp:Content>
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Home/Index.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Home/Index.aspx	(revision 6310)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Home/Index.aspx	(revision 6317)
@@ -2,11 +2,12 @@
 
 <asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
-	Home Page
+  Home Page
 </asp:Content>
-
 <asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
- <h2><%: ViewData["Message"] %></h2>
-    <p>
-        To learn more about ASP.NET MVC visit <a href="http://asp.net/mvc" title="ASP.NET MVC Website">http://asp.net/mvc</a>.
-    </p>
+  <h2>
+    <%: ViewData["Message"] %></h2>
+  <p>
+    To learn more about ASP.NET MVC visit <a href="http://asp.net/mvc" title="ASP.NET MVC Website">
+      http://asp.net/mvc</a>.
+  </p>
 </asp:Content>
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Platform/Detail.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Platform/Detail.aspx	(revision 6310)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Platform/Detail.aspx	(revision 6317)
@@ -3,54 +3,54 @@
 <%@ Import Namespace="HLWebOKBAdminPlugin.Models" %>
 <%@ Import Namespace="HLWebOKBAdminPlugin.OKBAdministrationService" %>
-
 <asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
-	Detail
+  Detail
 </asp:Content>
 <asp:Content ID="Content3" runat="server" ContentPlaceHolderID="SubMenuContent">
-   <% Html.RenderAction("Menu", "Admin"); %>
+  <% Html.RenderAction("Menu", "Admin"); %>
 </asp:Content>
 <asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
-    <% using(Html.BeginForm("SaveChanges", "Platform")) %>
-    <% { %>
-    <h2>Detail</h2>
-            <div class="hl-menuButtons">                 
-        <%: Html.ActionLink("Back to Index", "Index", null, new { @class = "hl-button-text-back" })%>
-        </div>
-    <% Platform pc = ((PlatformModel)Model).Platform; %>
-    <table class="hl-table">
-        <tr>
-            <th>
-                Id:
-            </th>
-            <td>
-                <%: Html.Label(pc.Id.ToString())%>
-            </td>
-            <%: Html.Hidden("PlatformId", pc.Id.ToString(), pc.Id.ToString())%>
-        </tr>
-        <tr>
-            <th>
-                Name:
-            </th>
-            <td>
-                <%: Html.TextBox("PlatformName", pc.Name, pc.Name)%>
-            </td>
-        </tr>
-        <tr>
-            <th>
-                Description:
-            </th>
-            <td>
-                <%: Html.TextBox("PlatformDescription", pc.Description, pc.Description)%>
-            </td>
-        </tr>
-        <tr>
-            <th>
-                Action:
-            </th>
-            <td>
-                <input type="submit" value="save" />
-            </td>
-        </tr>
-    </table> 
-    <% } %>
+  <% using (Html.BeginForm("SaveChanges", "Platform")) %>
+  <% { %>
+  <h2>
+    Detail</h2>
+  <div class="hl-menuButtons">
+    <%: Html.ActionLink("Back to Index", "Index", null, new { @class = "hl-button-text-back" })%>
+  </div>
+  <% Platform pc = ((PlatformModel)Model).Platform; %>
+  <table class="hl-table">
+    <tr>
+      <th>
+        Id:
+      </th>
+      <td>
+        <%: Html.Label(pc.Id.ToString())%>
+      </td>
+      <%: Html.Hidden("PlatformId", pc.Id.ToString(), pc.Id.ToString())%>
+    </tr>
+    <tr>
+      <th>
+        Name:
+      </th>
+      <td>
+        <%: Html.TextBox("PlatformName", pc.Name, pc.Name)%>
+      </td>
+    </tr>
+    <tr>
+      <th>
+        Description:
+      </th>
+      <td>
+        <%: Html.TextBox("PlatformDescription", pc.Description, pc.Description)%>
+      </td>
+    </tr>
+    <tr>
+      <th>
+        Action:
+      </th>
+      <td>
+        <input type="submit" value="save" />
+      </td>
+    </tr>
+  </table>
+  <% } %>
 </asp:Content>
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Platform/Index.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Platform/Index.aspx	(revision 6310)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Platform/Index.aspx	(revision 6317)
@@ -3,48 +3,48 @@
 <%@ Import Namespace="HLWebOKBAdminPlugin.Models" %>
 <%@ Import Namespace="HLWebOKBAdminPlugin.OKBAdministrationService" %>
-
-
 <asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
-	Index
+  Index
 </asp:Content>
 <asp:Content ID="Content3" runat="server" ContentPlaceHolderID="SubMenuContent">
-   <% Html.RenderAction("Menu", "Admin"); %>
+  <% Html.RenderAction("Menu", "Admin"); %>
 </asp:Content>
 <asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
-
-    <h2>Platform</h2>
-
-<%  long? id = null;  %>
-<div class="hl-menuButtons">
+  <h2>
+    Platform</h2>
+  <%  long? id = null;  %>
+  <div class="hl-menuButtons">
     <%: Html.ActionLink("New Platform", "Detail", new { id }, new { @class = "hl-button-text-plus" })%>
-</div>
-
-        <table class="hl-dataTable">
-                <thead>
-        <tr>
-        <th>Name</th>
-        <th>Description</th>
-        <th>Actions</th>
-        </tr>
-        </thead>
-        <tbody>
-            <!--// We get this from the Controller (Index)-->
-            <% foreach (Platform p in ((PlatformModel)Model).Platforms) {  %>
-            <tr>
-                <td>
-                    <%: p.Name %>
-                </td>
-                <td>
-                    <%: p.Description %>
-                </td>
-                <td class="hl-iconcell">
-                    <%: Html.ActionLink("detail", "Detail", new { p.Id }, new { @class = "hl-icon-edit" })%>
-                    <%: Html.ActionLink("delete", "Delete", new { p.Id }, new { @class = "hl-icon-delete" })%>
-                </td>
-
-            </tr>
-            <% } %>
-        </tbody>
-        </table>
-  
+  </div>
+  <table class="hl-dataTable">
+    <thead>
+      <tr>
+        <th>
+          Name
+        </th>
+        <th>
+          Description
+        </th>
+        <th>
+          Actions
+        </th>
+      </tr>
+    </thead>
+    <tbody>
+      <!--// We get this from the Controller (Index)-->
+      <% foreach (Platform p in ((PlatformModel)Model).Platforms) {  %>
+      <tr>
+        <td>
+          <%: p.Name %>
+        </td>
+        <td>
+          <%: p.Description %>
+        </td>
+        <td class="hl-iconcell">
+          <%: Html.ActionLink("detail", "Detail", new { p.Id }, new { @class = "hl-icon-edit" })%>
+          <%: Html.ActionLink("delete", "Delete", new { p.Id }, new { @class = "hl-icon-delete" })%>
+        </td>
+      </tr>
+      <% } %>
+    </tbody>
+  </table>
 </asp:Content>
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Problem/Detail.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Problem/Detail.aspx	(revision 6310)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Problem/Detail.aspx	(revision 6317)
@@ -4,128 +4,127 @@
 <%@ Import Namespace="HLWebOKBAdminPlugin.OKBAdministrationService" %>
 <asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
-    Detail
+  Detail
 </asp:Content>
 <asp:Content ID="Content3" runat="server" ContentPlaceHolderID="SubMenuContent">
-   <% Html.RenderAction("Menu", "Admin"); %>
+  <% Html.RenderAction("Menu", "Admin"); %>
 </asp:Content>
 <asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
-    <% using(Html.BeginForm("SaveChanges", "Problem")) %>
-    <% { %>
-    <h2>
-        Detail</h2>
-    <%
+  <% using (Html.BeginForm("SaveChanges", "Problem")) %>
+  <% { %>
+  <h2>
+    Detail</h2>
+  <%
      
-        // The Model will be filled via the Controller
-        // Maybe we can use here the Problem instead
-        // of the ProblemModel. But this must be changed
-        // in the Controller too!
+    // The Model will be filled via the Controller
+    // Maybe we can use here the Problem instead
+    // of the ProblemModel. But this must be changed
+    // in the Controller too!
 
-        Problem p = ((ProblemModel)Model).Problem;
-    %>
-            <div class="hl-menuButtons">                 
-        <%: Html.ActionLink("Back to Index", "Index", null, new { @class = "hl-button-text-back" })%>
-        </div>
-    <table class="hl-table">
-        <tr>
-            <th>
-                Id:
-            </th>
-            <td>
-                <%: Html.Label(p.Id.ToString())%>
-            </td>
-            <%: Html.Hidden("ProblemId", p.Id.ToString(), p.Id.ToString())%>
-        </tr>
-        <tr>
-            <th>
-                Name:
-            </th>
-            <td>
-                <%: Html.TextBox("ProblemName", p.Name, p.Name)%>
-            </td>
-        </tr>
-        <tr>
-            <th>
-                Description:
-            </th>
-            <td>
-                <%: Html.TextBox("ProblemDescription", p.Description, p.Description)%>
-            </td>
-        </tr>
-        <tr>
-            <th>
-                DataTypeName:
-            </th>
-            <td>
-                <%: Html.TextBox("ProblemDataTypeName", p.DataTypeName, p.DataTypeName)%>
-            </td>
-        </tr>
-        <tr>
-            <th>
-                Problem Class:
-            </th>
-            <td>
-                <select name="ProblemClassId">
-                    <% foreach(ProblemClass pc in ((ProblemModel)Model).ProblemClasses) {  %>
-                        <% if(p.ProblemClassId == pc.Id) { %>
-                            <option selected="selected" value="<%=pc.Id%>"><%=pc.Name%></option>
-                        <% } else { %>
-                            <option value="<%=pc.Id%>"><%=pc.Name%></option>
-                        <% } %>
-                    <% } %>
-                </select>
-            </td>
-        </tr>
-        <tr>
-            <th>
-                Platform:
-            </th>
-            <td>
-                <select name="PlatformId">
-                    <% foreach(Platform pc in ((ProblemModel)Model).Platforms) {  %>
-                        <% if(p.PlatformId == pc.Id) { %>
-                            <option selected="selected" value="<%=pc.Id%>"><%=pc.Name%></option>
-                        <% } else { %>
-                            <option value="<%=pc.Id%>"><%=pc.Name%></option>
-                        <% } %>
-                    <% } %>
-                </select>
-            </td>
-        </tr>
-        <tr>
-            <th>
-                Action:
-            </th>
-            <td>
-                <input type="submit" value="save" />
-            </td>
-        </tr>
-    </table>    
-    
-    <% } %>
-
-    <% using (Html.BeginForm("UploadFile", "Problem", FormMethod.Post, new { enctype = "multipart/form-data" }))
-    {%><br />
-        <% Problem p = ((ProblemModel)Model).Problem; %>        
-        <table class="hl-table">
-            <tr>
-                <th>
-                    File:
-                </th>
-                <td>
-                    <%: Html.Hidden("ProblemId", p.Id.ToString(), p.Id.ToString()) %>
-                    <input type="file" name="files" id="file2" size="25" /> 
-                </td>
-            </tr>
-            <tr>
-                <th>
-                    Action:
-                </th>
-                <td>
-                    <input type="submit" value="Upload file" />
-                </td>
-            </tr>
-        </table>                              
-        <% } %> 
-        
-
+    Problem p = ((ProblemModel)Model).Problem;
+  %>
+  <div class="hl-menuButtons">
+    <%: Html.ActionLink("Back to Index", "Index", null, new { @class = "hl-button-text-back" })%>
+  </div>
+  <table class="hl-table">
+    <tr>
+      <th>
+        Id:
+      </th>
+      <td>
+        <%: Html.Label(p.Id.ToString())%>
+      </td>
+      <%: Html.Hidden("ProblemId", p.Id.ToString(), p.Id.ToString())%>
+    </tr>
+    <tr>
+      <th>
+        Name:
+      </th>
+      <td>
+        <%: Html.TextBox("ProblemName", p.Name, p.Name)%>
+      </td>
+    </tr>
+    <tr>
+      <th>
+        Description:
+      </th>
+      <td>
+        <%: Html.TextBox("ProblemDescription", p.Description, p.Description)%>
+      </td>
+    </tr>
+    <tr>
+      <th>
+        DataTypeName:
+      </th>
+      <td>
+        <%: Html.TextBox("ProblemDataTypeName", p.DataTypeName, p.DataTypeName)%>
+      </td>
+    </tr>
+    <tr>
+      <th>
+        Problem Class:
+      </th>
+      <td>
+        <select name="ProblemClassId">
+          <% foreach (ProblemClass pc in ((ProblemModel)Model).ProblemClasses) {  %>
+          <% if (p.ProblemClassId == pc.Id) { %>
+          <option selected="selected" value="<%=pc.Id%>">
+            <%=pc.Name%></option>
+          <% } else { %>
+          <option value="<%=pc.Id%>">
+            <%=pc.Name%></option>
+          <% } %>
+          <% } %>
+        </select>
+      </td>
+    </tr>
+    <tr>
+      <th>
+        Platform:
+      </th>
+      <td>
+        <select name="PlatformId">
+          <% foreach (Platform pc in ((ProblemModel)Model).Platforms) {  %>
+          <% if (p.PlatformId == pc.Id) { %>
+          <option selected="selected" value="<%=pc.Id%>">
+            <%=pc.Name%></option>
+          <% } else { %>
+          <option value="<%=pc.Id%>">
+            <%=pc.Name%></option>
+          <% } %>
+          <% } %>
+        </select>
+      </td>
+    </tr>
+    <tr>
+      <th>
+        Action:
+      </th>
+      <td>
+        <input type="submit" value="save" />
+      </td>
+    </tr>
+  </table>
+  <% } %>
+  <% using (Html.BeginForm("UploadFile", "Problem", FormMethod.Post, new { enctype = "multipart/form-data" })) {%><br />
+  <% Problem p = ((ProblemModel)Model).Problem; %>
+  <table class="hl-table">
+    <tr>
+      <th>
+        File:
+      </th>
+      <td>
+        <%: Html.Hidden("ProblemId", p.Id.ToString(), p.Id.ToString()) %>
+        <input type="file" name="files" id="file2" size="25" />
+      </td>
+    </tr>
+    <tr>
+      <th>
+        Action:
+      </th>
+      <td>
+        <input type="submit" value="Upload file" />
+      </td>
+    </tr>
+  </table>
+  <% } %>
 </asp:Content>
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Problem/Index.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Problem/Index.aspx	(revision 6310)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Problem/Index.aspx	(revision 6317)
@@ -4,49 +4,53 @@
 <%@ Import Namespace="HLWebOKBAdminPlugin.OKBAdministrationService" %>
 <asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
-    Index
+  Index
 </asp:Content>
 <asp:Content ID="Content3" runat="server" ContentPlaceHolderID="SubMenuContent">
-   <% Html.RenderAction("Menu", "Admin"); %>
+  <% Html.RenderAction("Menu", "Admin"); %>
 </asp:Content>
 <asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
-    <h2>Problems</h2>
-    
-    
-    
-    <%  long? id = null;  %>
-    <div class="hl-menuButtons">
+  <h2>
+    Problems</h2>
+  <%  long? id = null;  %>
+  <div class="hl-menuButtons">
     <%: Html.ActionLink("New Problem", "Detail", new { id }, new { @class = "hl-button-text-plus" })%>
-    </div>
-
-        <table class="hl-dataTable">
-        <thead>
-        <tr>
-        <th>Name</th>
-        <th>Description</th>
-        <th>Type</th>
-        <th>Actions</th>
-        </tr>
-        </thead>
-        <tbody>
-            <!--// We get this from the Controller (Index)-->
-            <% foreach(Problem p in ((ProblemModel)Model).Problems) {  %>
-            <tr>
-                <td>
-                    <%: p.Name%>
-                </td>
-                <td>
-                    <%: p.Description %>
-                </td>
-                <td>
-                    <%: p.DataTypeName %>
-                </td>
-                <td class="hl-iconcell">
-                    <%: Html.ActionLink("detail", "Detail", new { p.Id }, new { @class = "hl-icon-edit" })%>
-                    <%: Html.ActionLink("delete", "Delete", new { p.Id }, new { @class = "hl-icon-delete" })%>
-                </td>
-            </tr>
-            <% } %>
-            </tbody>
-        </table>
-     
+  </div>
+  <table class="hl-dataTable">
+    <thead>
+      <tr>
+        <th>
+          Name
+        </th>
+        <th>
+          Description
+        </th>
+        <th>
+          Type
+        </th>
+        <th>
+          Actions
+        </th>
+      </tr>
+    </thead>
+    <tbody>
+      <!--// We get this from the Controller (Index)-->
+      <% foreach (Problem p in ((ProblemModel)Model).Problems) {  %>
+      <tr>
+        <td>
+          <%: p.Name%>
+        </td>
+        <td>
+          <%: p.Description %>
+        </td>
+        <td>
+          <%: p.DataTypeName %>
+        </td>
+        <td class="hl-iconcell">
+          <%: Html.ActionLink("detail", "Detail", new { p.Id }, new { @class = "hl-icon-edit" })%>
+          <%: Html.ActionLink("delete", "Delete", new { p.Id }, new { @class = "hl-icon-delete" })%>
+        </td>
+      </tr>
+      <% } %>
+    </tbody>
+  </table>
 </asp:Content>
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/ProblemClass/Detail.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/ProblemClass/Detail.aspx	(revision 6310)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/ProblemClass/Detail.aspx	(revision 6317)
@@ -3,54 +3,54 @@
 <%@ Import Namespace="HLWebOKBAdminPlugin.Models" %>
 <%@ Import Namespace="HLWebOKBAdminPlugin.OKBAdministrationService" %>
-
 <asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
-	Detail
+  Detail
 </asp:Content>
 <asp:Content ID="Content3" runat="server" ContentPlaceHolderID="SubMenuContent">
-   <% Html.RenderAction("Menu", "Admin"); %>
+  <% Html.RenderAction("Menu", "Admin"); %>
 </asp:Content>
 <asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
-    <% using(Html.BeginForm("SaveChanges", "ProblemClass")) %>
-    <% { %>
-    <h2>Detail</h2>
-            <div class="hl-menuButtons">                 
-        <%: Html.ActionLink("Back to Index", "Index", null, new { @class = "hl-button-text-back" })%>
-        </div>
-    <% ProblemClass pc = ((ProblemClassModel)Model).ProblemClass; %>
-    <table class="hl-table">
-        <tr>
-            <th>
-                Id:
-            </th>
-            <td>
-                <%: Html.Label(pc.Id.ToString())%>
-            </td>
-            <%: Html.Hidden("ProblemClassId", pc.Id.ToString(), pc.Id.ToString())%>
-        </tr>
-        <tr>
-            <th>
-                Name:
-            </th>
-            <td>
-                <%: Html.TextBox("ProblemClassName", pc.Name, pc.Name)%>
-            </td>
-        </tr>
-        <tr>
-            <th>
-                Description:
-            </th>
-            <td>
-                <%: Html.TextBox("ProblemClassDescription", pc.Description, pc.Description)%>
-            </td>
-        </tr>
-        <tr>
-            <th>
-                Action:
-            </th>
-            <td>
-                <input type="submit" value="save" />
-            </td>
-        </tr>
-    </table> 
-    <% } %>
+  <% using (Html.BeginForm("SaveChanges", "ProblemClass")) %>
+  <% { %>
+  <h2>
+    Detail</h2>
+  <div class="hl-menuButtons">
+    <%: Html.ActionLink("Back to Index", "Index", null, new { @class = "hl-button-text-back" })%>
+  </div>
+  <% ProblemClass pc = ((ProblemClassModel)Model).ProblemClass; %>
+  <table class="hl-table">
+    <tr>
+      <th>
+        Id:
+      </th>
+      <td>
+        <%: Html.Label(pc.Id.ToString())%>
+      </td>
+      <%: Html.Hidden("ProblemClassId", pc.Id.ToString(), pc.Id.ToString())%>
+    </tr>
+    <tr>
+      <th>
+        Name:
+      </th>
+      <td>
+        <%: Html.TextBox("ProblemClassName", pc.Name, pc.Name)%>
+      </td>
+    </tr>
+    <tr>
+      <th>
+        Description:
+      </th>
+      <td>
+        <%: Html.TextBox("ProblemClassDescription", pc.Description, pc.Description)%>
+      </td>
+    </tr>
+    <tr>
+      <th>
+        Action:
+      </th>
+      <td>
+        <input type="submit" value="save" />
+      </td>
+    </tr>
+  </table>
+  <% } %>
 </asp:Content>
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/ProblemClass/Index.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/ProblemClass/Index.aspx	(revision 6310)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/ProblemClass/Index.aspx	(revision 6317)
@@ -3,48 +3,48 @@
 <%@ Import Namespace="HLWebOKBAdminPlugin.Models" %>
 <%@ Import Namespace="HLWebOKBAdminPlugin.OKBAdministrationService" %>
-
-
 <asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
-	Index
+  Index
 </asp:Content>
 <asp:Content ID="Content3" runat="server" ContentPlaceHolderID="SubMenuContent">
-   <% Html.RenderAction("Menu", "Admin"); %>
+  <% Html.RenderAction("Menu", "Admin"); %>
 </asp:Content>
 <asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
-
-    <h2>ProblemClass</h2>
-
-<%  long? id = null;  %>
-<div class="hl-menuButtons">
+  <h2>
+    ProblemClass</h2>
+  <%  long? id = null;  %>
+  <div class="hl-menuButtons">
     <%: Html.ActionLink("New ProblemClass", "Detail", new { id }, new { @class = "hl-button-text-plus" })%>
-</div>
-
-        <table class="hl-dataTable">
-                <thead>
-        <tr>
-        <th>Name</th>
-        <th>Description</th>
-        <th>Actions</th>
-        </tr>
-        </thead>
-        <tbody>
-            <!--// We get this from the Controller (Index)-->
-            <% foreach (ProblemClass p in ((ProblemClassModel)Model).ProblemClasses) {  %>
-            <tr>
-                <td>
-                    <%: p.Name%>
-                </td>
-                <td>
-                    <%: p.Description %>
-                </td>
-                <td class="hl-iconcell">
-                    <%: Html.ActionLink("detail", "Detail", new { p.Id }, new { @class = "hl-icon-edit" })%>
-                    <%: Html.ActionLink("delete", "Delete", new { p.Id }, new { @class = "hl-icon-delete" })%>
-                </td>
-
-            </tr>
-            <% } %>
-        </tbody>
-        </table>
-  
+  </div>
+  <table class="hl-dataTable">
+    <thead>
+      <tr>
+        <th>
+          Name
+        </th>
+        <th>
+          Description
+        </th>
+        <th>
+          Actions
+        </th>
+      </tr>
+    </thead>
+    <tbody>
+      <!--// We get this from the Controller (Index)-->
+      <% foreach (ProblemClass p in ((ProblemClassModel)Model).ProblemClasses) {  %>
+      <tr>
+        <td>
+          <%: p.Name%>
+        </td>
+        <td>
+          <%: p.Description %>
+        </td>
+        <td class="hl-iconcell">
+          <%: Html.ActionLink("detail", "Detail", new { p.Id }, new { @class = "hl-icon-edit" })%>
+          <%: Html.ActionLink("delete", "Delete", new { p.Id }, new { @class = "hl-icon-delete" })%>
+        </td>
+      </tr>
+      <% } %>
+    </tbody>
+  </table>
 </asp:Content>
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/ServiceTest/Index.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/ServiceTest/Index.aspx	(revision 6310)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/ServiceTest/Index.aspx	(revision 6317)
@@ -2,18 +2,14 @@
 
 <asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
-	Index
+  Index
 </asp:Content>
-
 <asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
-
-    <form id="form1" runat="server">
-
-    <h2>Index</h2>
-    <p>
-        <asp:GridView ID="GridView1" runat="server">
-        </asp:GridView>
-    </p>
-
-    </form>
-
+  <form id="form1" runat="server">
+  <h2>
+    Index</h2>
+  <p>
+    <asp:GridView ID="GridView1" runat="server">
+    </asp:GridView>
+  </p>
+  </form>
 </asp:Content>
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Shared/Error.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Shared/Error.aspx	(revision 6310)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Shared/Error.aspx	(revision 6317)
@@ -2,10 +2,9 @@
 
 <asp:Content ID="errorTitle" ContentPlaceHolderID="TitleContent" runat="server">
-    Error
+  Error
 </asp:Content>
-
 <asp:Content ID="errorContent" ContentPlaceHolderID="MainContent" runat="server">
-    <h2>
-        Sorry, an error occurred while processing your request.
-    </h2>
+  <h2>
+    Sorry, an error occurred while processing your request.
+  </h2>
 </asp:Content>
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Shared/LogOnUserControl.ascx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Shared/LogOnUserControl.ascx	(revision 6310)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Shared/LogOnUserControl.ascx	(revision 6317)
@@ -1,14 +1,17 @@
 ﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl" %>
 <%
-    if (Request.IsAuthenticated) {
+  if (Request.IsAuthenticated) {
 %>
-        Welcome <b><%: Page.User.Identity.Name %></b>!
-        [ <%: Html.ActionLink("Log Off", "LogOff", "Account") %> ]
+Welcome <b>
+  <%: Page.User.Identity.Name %></b>! [
+<%: Html.ActionLink("Log Off", "LogOff", "Account") %>
+]
 <%
-    }
-    else {
-%> 
-        [ <%: Html.ActionLink("Log On", "LogOn", "Account") %> ]
+  } else {
+%>
+[
+<%: Html.ActionLink("Log On", "LogOn", "Account") %>
+]
 <%
-    }
+  }
 %>
Index: branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Shared/Site.Master
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Shared/Site.Master	(revision 6310)
+++ branches/WebApplication/MVC2/HLWebOKBAdminPlugin/Views/Shared/Site.Master	(revision 6317)
@@ -28,9 +28,8 @@
       </div>
     </div>
-
     <div id="main">
-        <div id="master-submenu">
-      <asp:ContentPlaceHolder ID="SubMenuContent" runat="server" />
-    </div>
+      <div id="master-submenu">
+        <asp:ContentPlaceHolder ID="SubMenuContent" runat="server" />
+      </div>
       <asp:ContentPlaceHolder ID="MainContent" runat="server" />
       <div id="footer">
